summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAaron Bauman <bman@gentoo.org>2019-11-12 21:47:21 -0500
committerAaron Bauman <bman@gentoo.org>2019-11-12 21:47:41 -0500
commitb178240a71fbd767b13aa372e19f427000f8f3a7 (patch)
treeedd2555130dc003b52eba75ddcc51aef6ab8a845
parentdev-util/kdevelop: Drop 5.4.3 (diff)
downloadgentoo-b178240a71fbd767b13aa372e19f427000f8f3a7.tar.gz
gentoo-b178240a71fbd767b13aa372e19f427000f8f3a7.tar.bz2
gentoo-b178240a71fbd767b13aa372e19f427000f8f3a7.zip
Revert "dev-libs/mps: drop old"
This reverts commit 2afcd3d55f5b743e182c789d6f12cc178f231c34. Signed-off-by: Aaron Bauman <bman@gentoo.org>
-rw-r--r--dev-libs/mps/Manifest3
-rw-r--r--dev-libs/mps/mps-1.106.2.ebuild37
-rw-r--r--dev-libs/mps/mps-1.110.0.ebuild27
-rw-r--r--dev-libs/mps/mps-1.111.0.ebuild31
4 files changed, 98 insertions, 0 deletions
diff --git a/dev-libs/mps/Manifest b/dev-libs/mps/Manifest
index a3234f2a16b..bd268ad7de2 100644
--- a/dev-libs/mps/Manifest
+++ b/dev-libs/mps/Manifest
@@ -1 +1,4 @@
+DIST mps-kit-1.106.2.tar.gz 1303450 BLAKE2B 15de3706adbe05e195342b4bc72f3bbeef7df1c288eea7c4e25ee95bd64a45a83604379c2c20be44d2fdfcc23894ff210637d5ea8040922462d2126292ea29a1 SHA512 6d4a6441c4b0afd9daa0ef20a962fd9a5cd120ed324bfb7ece95ec7570f2907853ff4843fcb71537910d81339bb92cd612fa67ad0beb0ad89382339f39760a34
+DIST mps-kit-1.110.0.tar.gz 1920116 BLAKE2B e77c08ee59b879c47046eee40c833d733da924e2088297fc3f762eb64237744fd924be3d226b1a14c10ae0d1becf6c2ade77c5e38c198b3a5c799d5e48c000ca SHA512 b613833a9b9a79547639337e4cda897b939c45cb84579521ec63b5560ad94cb7a8b4885b51eace119fc7c3ebf725433dfca41d96c8a773df94b37abb605bb07f
+DIST mps-kit-1.111.0.tar.gz 3197286 BLAKE2B 464fdd2144da219e0407875c1295a3c923dc4c7529146706e5d43b232d8fe5939ac4a1b7fc658cd7cbc2496fcdafaca9065c7515815ae85df109e85bc99df9c8 SHA512 628ad619dbce1460265ffbfc76adb4a88a2168b80bd1d8de10509d7025e7f9cd240ccc7dda044119863d0f2db95792ca9c94a35271dac5a995e8609221d7e67b
DIST mps-kit-1.114.0.tar.gz 2461796 BLAKE2B bc065708f8b4df6a4d7dcf415efd120ecb18461949a000430731ae34cd25bdf90f857bc711b6cc05c7ddd9a50ff8660ddbda146ce2175116d4fc6a8098d8bdc1 SHA512 78ec4f470a1c7e1aa377a61a6ccefbc77fa6e84de73b209cc3544452843ecb09a0d889121e51cfbe64d788c658c68b12a4ed150b7f82df78d4416987ded21fc9
diff --git a/dev-libs/mps/mps-1.106.2.ebuild b/dev-libs/mps/mps-1.106.2.ebuild
new file mode 100644
index 00000000000..962588d710c
--- /dev/null
+++ b/dev-libs/mps/mps-1.106.2.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=4
+
+DESCRIPTION="Ravenbrook Memory Pool System"
+
+MY_P="${PN}-kit-${PV}"
+HOMEPAGE="http://www.ravenbrook.com/project/mps/"
+SRC_URI="http://www.ravenbrook.com/project/${PN}/release/${PV}/${MY_P}.tar.gz"
+
+LICENSE="Sleepycat"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}/${MY_P}/code
+
+src_prepare() {
+ # need to fix CFLAGS, it's still being silly
+ sed -i -e 's/-Werror//' gc.gmk
+}
+
+src_compile() {
+ emake -f lii4gc.gmk
+ emake -f lii4gc.gmk mpsplan.a
+ emake -f lii4gc.gmk mmdw.a
+}
+
+src_install() {
+ mkdir -p "${D}"/usr/include/mps
+ cp "${S}"/*.h "${D}"/usr/include/mps
+ dolib.a "${S}"/lii4gc/ci/*.a
+}
diff --git a/dev-libs/mps/mps-1.110.0.ebuild b/dev-libs/mps/mps-1.110.0.ebuild
new file mode 100644
index 00000000000..da17850546f
--- /dev/null
+++ b/dev-libs/mps/mps-1.110.0.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=4
+
+inherit eutils
+
+DESCRIPTION="Ravenbrook Memory Pool System"
+
+MY_P="${PN}-kit-${PV}"
+HOMEPAGE="http://www.ravenbrook.com/project/mps/"
+SRC_URI="http://www.ravenbrook.com/project/${PN}/release/${PV}/${MY_P}.tar.gz"
+
+LICENSE="Sleepycat"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}/${MY_P}/
+
+src_prepare() {
+ # need to fix CFLAGS, it's still being silly
+ sed -i -e 's/-Werror//' code/g{c,p}.gmk || die "Failed to fix CFLAGS"
+}
diff --git a/dev-libs/mps/mps-1.111.0.ebuild b/dev-libs/mps/mps-1.111.0.ebuild
new file mode 100644
index 00000000000..1bd9a1f1827
--- /dev/null
+++ b/dev-libs/mps/mps-1.111.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=4
+
+inherit eutils
+
+DESCRIPTION="Ravenbrook Memory Pool System"
+
+MY_P="${PN}-kit-${PV}"
+HOMEPAGE="http://www.ravenbrook.com/project/mps/"
+SRC_URI="http://www.ravenbrook.com/project/${PN}/release/${PV}/${MY_P}.tar.gz"
+
+LICENSE="Sleepycat"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}/${MY_P}/
+
+src_prepare() {
+ # need to fix CFLAGS, it's still being silly
+ sed -i -e 's/-Werror//' code/g{c,p}.gmk || die "Failed to fix CFLAGS"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die
+}